<?php
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
    
    require_once('lib/frole.php');
    $role = new Role();
    $role->isPageEnable($user->uuid);
    
    require_once("lib/fmessages.php");
    $messages = new Messages();
?>
<!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>Администрирование подразделений</title>
<link rel="stylesheet" href="/css/jquery-ui.css" />

<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<script src="/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />
 <link rel="stylesheet" href="/css/messages.css" />
<script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";
  </script>
</head>

<body>
<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      "Администрирование сообщений"</h1>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>


<!-- CURRENT PAGE -->


<div class="all">
<?php	

 if($user->uuid!='b34a0855-5cd7-43ac-8299-2fb88cb32290' and $user->uuid!='abcd519c-c900-4be8-a9c9-5d9ad1232b9a' and $user->uuid!='de6b08f8-774b-4d8b-aa68-5f60c65c8a75'){die('Для данного действия требуются права администратора');}
 if(isset($_POST['confirm'])){
	 unset($_POST['confirm']);
	 $messages->moderateMessages($_POST);
 }
 ?>
<h3>Все заявки</h3>
<?=$messages->getAdminMessages()?>
 
	
</div>
</body>
</html>
